mscorlib 2.0.0.0 4.0.0.0 System.Enum

For additional information about FUNCKIND, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Defines how to access a function.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCKIND

  The function can be accessed only through IDispatch.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCKIND

  The function is accessed by static address and takes an implicit this pointer.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCKIND

  The function is accessed through the virtual function table (VTBL), and takes an implicit this pointer.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCKIND

  The function is accessed by static address and does not take an implicit this pointer.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCKIND

  The function is accessed in the same way as , except the function has an implementation.